Get an Epic Experience with Premium

AutoSell2

Auction & Economy Login to Add Favorites
  • 6 Likes
  • World of Warcraft
  • 535 Monthly Downloads
  • Supports: 5.1.0
  • 82,032 Total Downloads
  • Updated 12/31/2012
  • Created 11/02/2010
  • 43 Favorites
  • Project Site
  • Comments
  • Release Type: Inactive
  • License: GNU General Public License version 2 (GPLv2)
  • Newest File: Auto Sell v2.5.3
or
Support development! **
Donate

About AutoSell2

AutoSell2

Autosell2 is a small addon that sells ALL grey/junk items, unusable soulbound items (disabled by default), and repairs your armor when you open a merchant window. There are options for toggling the chat output, selling soulbounds and using guild funds for repairs. The "do not sell" feature allows you to add/remove items from a list of items not to be sold regardless of the items color. It also keeps track of the gold earned from greys and gold spent on repairs since installing the addon.

Requirements:

This addon requires the Ace3 Library found here: Ace3

Slash commands:

  • /as2 config - opens the configuration panel. Can also be accessed through Interface>Addons>Autosell2
  • /as2 help - outputs commands.
  • /as2 chat - toggles the output of text to chat.
  • /as2 guild - toggles the use of guild repair.
  • /as2 soulbound - toggles selling of unusable soulbound items.
  • /as2 show - outputs "lifetime" earnings/repair cost to chat.
  • /as2 add {item link} - adds item to the Do Not Sell list. Get item link by Shift+Clicking the item in your bags.
  • /as2 remove {item link} - Removes item from the Do Not Sell list. Get item link by Shift+Clicking the item in your bags.

Bugs

Please leave a comment with bugs so i can fix them.

Release v2.5.3 12/31/2012

Finally Fixed error for some classes.

Thanks and Enjoy :)

Comments

First Previous Page 1 of 3 Next Last
  • #43

    Ok sry for the long wait on the fix for some classes.   The version I just uploaded should work for all classes( untested as i dont have a char for each class). 

  • #42

    FYI.. The Ace3 library has not been updated to 5.1.  I have been running with "load out of date addons" with no problems

    Uploading update for 5.1 also should be available soon.

  • #41

    Hi, I get the following error with an Alliance Mage.

    Date: 2012-12-01 23:08:39
    ID: 1
    Error occured in: Global
    Count: 1
    Message: ...erface\AddOns\Autosell2\libs\Unfit-1.0\Unfit-1.0.lua line 60:
    table index is nil
    Debug:
    ...erface\AddOns\Autosell2\libs\Unfit-1.0\Unfit-1.0.lua:60: in main chunk
    Locals:
    Lib = <table> {
    unusable = <table> {
    }
    }
    _ = "Mage"
    Class = "MAGE"
    Unusable = <table> {
    2 = <table> {
    }
    3 = true
    Two-Handed Maces = true
    Shields = true
    Plate = true
    One-Handed Axes = true
    Bows = true
    Two-Handed Swords = true
    Thrown = true
    Leather = true
    Crossbows = true
    Guns = true
    Fist Weapons = true
    Mail = true
    Polearms = true
    One-Handed Maces = true
    Two-Handed Axes = true
    }
    (for index) = 2
    (for limit) = 2
    (for step) = 1
    class = 2
    subs = <table> {
    1 = "Miscellaneous"
    2 = "Cloth"
    3 = "Leather"
    4 = "Mail"
    5 = "Plate"
    6 = "Shields"
    }
    (for generator) = <function> defined =[C]:-1
    (for state) = <table> {
    1 = 3
    2 = 4
    3 = 5
    4 = 6
    5 = 7
    }
    (for control) = 5
    i = 5
    subclass = 7
    (*temporary) = nil
    (*temporary) = 5
    (*temporary) = 7
    (*temporary) = "table index is nil"

  • #40

    Something's going on for me..in the Addon tab it loads successfully no dependency issues or anything..

    In the actual game it "loads" in the Inteface options..

    However it does not show any options or perform at all..just shows AutoSell2 with 0 config options..& nothing works

    Using Windows 7 64 Bit -- WoW 64 Bit -- DirectX 11

  • #39

    Fixed error on monks.

  • #37

    is not working

  • #38

    "is not working" doesn't help me much.  Are you sure you have Ace3 installed?  There is a link in the description.  I've been using it since patch with no problems.

     

  • #35

    update?

     

  • #36

     

    Uploaded update should be available soon :)

     

  • #33

    Ok first of all sorry about errors and Thank You Very Much to zforsakenz for finding error!  I was at a complete loss.  Just uploaded new version so should be available tomorrow (5/11/2012).

  • #34

    No problem, I love this addon I couln't imagine playing wow without it!

  • #32

    for those of you with the following error:

    Message: Autosell2-2.4.3\AutoSell2-2.4.3.lua:209: attempt to index global "ASDontSell" (a nil value)
    Time: 05/08/12 17:38:36
    Count: 2
    Stack: Interface\AddOns\Autosell2\AutoSell2.lua:171: in function `ASMerchantShow'
    Interface\AddOns\Autosell2\AutoSell2.lua:100: in function `ASOnEvent'
    [string "*:OnEvent"]:1: in function <[string "*:OnEvent"]:1>

    Locals:

    I have been able to fix this by opening up AutoSell2.lua and replacing this line (line 105):

    if (event == "ADDON_LOADED" and (select(1, ...) == "AutoSell2")then

    by this line:

    if (event == "ADDON_LOADED" and (string.lower(select(1, ...)) == "autosell2"))then

    in the ASOnEvent function

  • #31

    I'm getting the following error.  I just updated ace3.  This is one of my favorite addons QQ

     

    Date: 2012-05-08 11:31:39
    ID: 1
    Error occured in: Global
    Count: 1
    Message: ..\AddOns\Autosell2\AutoSell2.lua line 209:
    attempt to index global 'ASDontSell' (a nil value)
    Debug:
    [string "*:OnLoad"]:6:
    [string "*:OnLoad"]:1
    [C]: ?
    Autosell2\AutoSell2.lua:209: ASSellGreys()
    Autosell2\AutoSell2.lua:171: ASMerchantShow()
    Autosell2\AutoSell2.lua:100: ASOnEvent()
    [string "*:OnEvent"]:1:
    [string "*:OnEvent"]:1
    AddOns:
    Swatter, v5.13.5258 (BoldBandicoot)
    NPCScan, v4.3.0.2
    NPCScanOverlay, v4.3.0.1
    Ace3, v
    AdiBags, vv1.4.7.1
    AtlasLootLoader, vv6.05.04
    AucAdvanced, v5.13.5258 (BoldBandicoot)
    AucFilterBasic, v5.13.5258 (BoldBandicoot)
    AucFilterOutlier, v5.13.5258.5187(5.13/embedded)
    AucMatchUndercut, v5.13.5258.5232(5.13/embedded)
    AucStatHistogram, v5.13.5258 (BoldBandicoot)
    AucStatiLevel, v5.13.5258 (BoldBandicoot)
    AucStatPurchased, v5.13.5258 (BoldBandicoot)
    AucStatSales, v5.13.5258.4838(5.13/embedded)
    AucStatSimple, v5.13.5258 (BoldBandicoot)
    AucStatStdDev, v5.13.5258 (BoldBandicoot)
    AucStatWOWEcon, v5.13.5258.4828(5.13/embedded)
    AucUtilAHWindowControl, v5.13.5258.5133(5.13/embedded)
    AucUtilAppraiser, v5.13.5258.5241(5.13/embedded)
    AucUtilAskPrice, v5.13.5258.5160(5.13/embedded)
    AucUtilAutoMagic, v5.13.5258.5224(5.13/embedded)
    AucUtilCompactUI, v5.13.5258.5254(5.13/embedded)
    AucUtilEasyBuyout, v5.13.5258.5241(5.13/embedded)
    AucUtilFixAH, v5.13.5258 (BoldBandicoot)
    AucUtilItemSuggest, v5.13.5258.5224(5.13/embedded)
    AucUtilPriceLevel, v5.13.5258.5241(5.13/embedded)
    AucUtilScanButton, v5.13.5258.5153(5.13/embedded)
    AucUtilScanFinish, v5.13.5258.5153(5.13/embedded)
    AucUtilScanProgress, v5.13.5258.4979(5.13/embedded)
    AucUtilScanStart, v5.13.5258.5153(5.13/embedded)
    AucUtilSearchUI, v5.13.5258.5254(5.13/embedded)
    AucUtilSimpleAuction, v5.13.5258.5210(5.13/embedded)
    AucUtilVendMarkup, v5.13.5258.4828(5.13/embedded)
    Auctionator, v3.0.0
    Autosell2, v2.4.3
    Babylonian, v5.1.DEV.312(/embedded)
    BeanCounter, v5.13.5258 (BoldBandicoot)
    Configator, v5.1.DEV.312(/embedded)
    DBMCore, v
    DBMRaidLeadTools, v
    DBMSpellTimers, v
    DebugLib, v5.1.DEV.312(/embedded)
    Dominos, v4.3.4
    DominosCast, v
    DominosRoll, v
    DominosTotems, v
    DominosXP, v
    DrDamage, v1.9.0_release
    ElkBuffBars, v2.3.0-165
    Enchantrix, v5.13.5258 (BoldBandicoot)
    EnchantrixBarker, v5.13.5258 (BoldBandicoot)
    EveryQuest, v2.4.r217-release
    Gatherer, v3.2.4
    GatherMate2, v1.16.2
    Grid, v4.3.2.1458
    Informant, v5.13.5258 (BoldBandicoot)
    LibAboutPanel, v1.5
    LibExtraTip, v5.12.DEV.319(/embedded)
    LilSparkysWorkshop, v
    MogIt, v2.3.0
    Omen, v3.1.6
    OreCrusher2, v4.3.02
    Panda, v4.3.0.39
    PerlArcaneBar, v
    PerlCombatDisplay, v
    PerlConfig, v
    PerlFocus, v
    PerlParty, v
    PerlPartyPet, v
    PerlPartyTarget, v
    PerlPlayer, v
    PerlPlayerPet, v
    PerlTarget, v
    PerlTargetTarget, v
    Postal, v3.4.13
    Prat30, v3.4.25
    Prat30Libraries, v
    Quartz, v3.0.8
    Questomatic, v2.1
    RatingBuster, v1.6.7
    SexyCooldown, v0.6.16
    SexyMap, v1.3
    Skada, v1.3-11
    SkadaCC, v1.0
    SkadaDamage, v1.0
    SkadaDamageTaken, v1.0
    SkadaDeaths, v1.0
    SkadaDebuffs, v1.0
    SkadaDispels, v1.0
    SkadaEnemies, v1.0
    SkadaHealing, v1.0
    SkadaPower, v1.0
    SkadaThreat, v1.0
    SlideBar, v5.13.5258 (BoldBandicoot)
    Stubby, v5.13.5258 (BoldBandicoot)
    TidyPlates, v6.5.7 (R433)
    TidyPlatesGraphite, v
    TidyPlatesGrey, v
    TidyPlatesNeon, v
    TidyPlatesQuatre, v
    TidyPlatesThreatPlates, v5.4
    TidyPlatesHub, vr432
    TidyPlatesWidgets, vr433
    TipHelper, v5.12.DEV.315(/embedded)
    Titan, v5.0.12.40300 - Revision 519
    TitanBag, v5.0.12.40300
    TitanBlacksmithing, v4.0.001
    TitanClock, v5.0.12.40300
    TitanCurrency, v5.4
    TitanDurability, v1.22
    TitanGatherer, v4.0.0
    TitanGold, v5.0.12.40300
    TitanGuild, v4.3.0
    TitanLocation, v5.0.12.40300
    TitanLootType, v5.0.12.40300
    TitanPerformance, v5.0.12.40300
    TitanRepair, v5.0.12.40300
    TitanSocial, v4.3.2r10
    TitanVolume, v5.0.12.40300
    TitanXP, v5.0.12.40300
    TradeSkillMaster, vv1.3.2
    TradeSkillMasterAccounting, vv1.1
    TradeSkillMasterAuctionDB, vv1.2
    TradeSkillMasterAuctioning, vv1.1.6
    TradeSkillMasterCrafting, vv1.1.1
    TradeSkillMasterDestroying, vv0.1.3Beta
    TradeSkillMasterItemTracker, vv1.0.2
    TradeSkillMasterMailing, vv1.0.2
    TradeSkillMasterShopping, vv1.2.1
    TradeSkillMasterWarehousing, vv1.4.5
    BlizRuntimeLib_enUS v4.3.4.40300 <us>
    (ck=f9c)

     

  • #25

    Hey, 4.3.3 is throwing this error

    1x Autosell2-2.4.3\AutoSell2.lua:209: attempt to index global 'ASDontSell' (a nil value)
    Autosell2-2.4.3\AutoSell2.lua:171: in function `ASMerchantShow'
    Autosell2-2.4.3\AutoSell2.lua:100: in function `ASOnEvent'
    <string>:"*:OnEvent":1: in function <[string "*:OnEvent"]:1>

  • #30

    The problem is, there is no option window with the latest version, however I was able to get it working by deleting the latest version, along with the saved variables, install the previous one, checked all the options, then upgraded to the latest. Still no options window with the latest but it works.

  • To post a comment, please login or register a new account.
Login to Curse

Don't have an account? Create One.

Get an epic experience with Curse Premium
  • Faster addon downloads
  • Premium-Only Beta Giveaways
  • Ad-Free Curse experience
  • Premium Curse Client
  • and many More Features
  • Learn More »

VIP trip to SMITE World Championship